xcb_store_named_color(3)

NAME
xcb_store_named_color -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_store_named_color(xcb_connection_t *conn, uint8_t flags, xcb_colormap_t cmap, uint32_t pixel, uint16_t name_len, const char *name);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

flags
    TODO: NOT YET DOCUMENTED.

cmap
    TODO: NOT YET DOCUMENTED.

pixel
    TODO: NOT YET DOCUMENTED.

name_len
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_store_named_color_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.